<?php

namespace SGalinski\SgJobs\Domain\Model;

/**
 *
 * Copyright notice
 *
 * (c) sgalinski Internet Services (https://www.sgalinski.de)
 *
 * All rights reserved
 *
 * This script is part of the TYPO3 project. The TYPO3 project is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 *
 * This script is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * This copyright notice MUST APPEAR in all copies of the script!
 */

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;

/**
 * Model representing Countries
 *
 * @package SGalinski\SgJobs\Domain\Model
 * @author Kevin Ditscheid <kevin.ditscheid@sgalinski.de>
 */
class Country extends AbstractEntity {
	/**
	 * @var string
	 */
	protected $cnIso2;

	/**
	 * @var string
	 */
	protected $cnIso3;

	/**
	 * @var string
	 */
	protected $cnIsoNr;

	/**
	 * @var string
	 */
	protected $cnParentTerritoryUid;

	/**
	 * @var string
	 */
	protected $cnParentTrIsoNr;

	/**
	 * @var string
	 */
	protected $cnOfficialNameLocal;

	/**
	 * @var string
	 */
	protected $cnOfficialNameEn;

	/**
	 * @var string
	 */
	protected $cnCapital;

	/**
	 * @var string
	 */
	protected $cnTldomain;

	/**
	 * @var string
	 */
	protected $cnCurrencyUid;

	/**
	 * @var string
	 */
	protected $cnCurrencyIso3;

	/**
	 * @var string
	 */
	protected $cnCurrencyIsoNr;

	/**
	 * @var string
	 */
	protected $cnPhone;

	/**
	 * @var string
	 */
	protected $cnEuMember;

	/**
	 * @var string
	 */
	protected $cnUnoMember;

	/**
	 * @var string
	 */
	protected $cnAddressFormat;

	/**
	 * @var string
	 */
	protected $cnZoneFlag;

	/**
	 * @var string
	 */
	protected $cnShortLocal;

	/**
	 * @var string
	 */
	protected $cnShortEn;

	/**
	 * @var string
	 */
	protected $cnShortDe;

	/**
	 * @var string
	 */
	protected $cnShortEs;

	/**
	 * @var string
	 */
	protected $cnShortIt;

	/**
	 * @var string
	 */
	protected $cnShortFr;

	/**
	 * @var string
	 */
	protected $cnCountryZones;

	/**
	 * @return string
	 */
	public function getCnIso2(): string {
		return $this->cnIso2;
	}

	/**
	 * @param string $cnIso2
	 */
	public function setCnIso2(string $cnIso2): void {
		$this->cnIso2 = $cnIso2;
	}

	/**
	 * @return string
	 */
	public function getCnIso3(): string {
		return $this->cnIso3;
	}

	/**
	 * @param string $cnIso3
	 */
	public function setCnIso3(string $cnIso3): void {
		$this->cnIso3 = $cnIso3;
	}

	/**
	 * @return string
	 */
	public function getCnIsoNr(): string {
		return $this->cnIsoNr;
	}

	/**
	 * @param string $cnIsoNr
	 */
	public function setCnIsoNr(string $cnIsoNr): void {
		$this->cnIsoNr = $cnIsoNr;
	}

	/**
	 * @return string
	 */
	public function getCnParentTerritoryUid(): string {
		return $this->cnParentTerritoryUid;
	}

	/**
	 * @param string $cnParentTerritoryUid
	 */
	public function setCnParentTerritoryUid(string $cnParentTerritoryUid): void {
		$this->cnParentTerritoryUid = $cnParentTerritoryUid;
	}

	/**
	 * @return string
	 */
	public function getCnParentTrIsoNr(): string {
		return $this->cnParentTrIsoNr;
	}

	/**
	 * @param string $cnParentTrIsoNr
	 */
	public function setCnParentTrIsoNr(string $cnParentTrIsoNr): void {
		$this->cnParentTrIsoNr = $cnParentTrIsoNr;
	}

	/**
	 * @return string
	 */
	public function getCnOfficialNameLocal(): string {
		return $this->cnOfficialNameLocal;
	}

	/**
	 * @param string $cnOfficialNameLocal
	 */
	public function setCnOfficialNameLocal(string $cnOfficialNameLocal): void {
		$this->cnOfficialNameLocal = $cnOfficialNameLocal;
	}

	/**
	 * @return string
	 */
	public function getCnOfficialNameEn(): string {
		return $this->cnOfficialNameEn;
	}

	/**
	 * @param string $cnOfficialNameEn
	 */
	public function setCnOfficialNameEn(string $cnOfficialNameEn): void {
		$this->cnOfficialNameEn = $cnOfficialNameEn;
	}

	/**
	 * @return string
	 */
	public function getCnCapital(): string {
		return $this->cnCapital;
	}

	/**
	 * @param string $cnCapital
	 */
	public function setCnCapital(string $cnCapital): void {
		$this->cnCapital = $cnCapital;
	}

	/**
	 * @return string
	 */
	public function getCnTldomain(): string {
		return $this->cnTldomain;
	}

	/**
	 * @param string $cnTldomain
	 */
	public function setCnTldomain(string $cnTldomain): void {
		$this->cnTldomain = $cnTldomain;
	}

	/**
	 * @return string
	 */
	public function getCnCurrencyUid(): string {
		return $this->cnCurrencyUid;
	}

	/**
	 * @param string $cnCurrencyUid
	 */
	public function setCnCurrencyUid(string $cnCurrencyUid): void {
		$this->cnCurrencyUid = $cnCurrencyUid;
	}

	/**
	 * @return string
	 */
	public function getCnCurrencyIso3(): string {
		return $this->cnCurrencyIso3;
	}

	/**
	 * @param string $cnCurrencyIso3
	 */
	public function setCnCurrencyIso3(string $cnCurrencyIso3): void {
		$this->cnCurrencyIso3 = $cnCurrencyIso3;
	}

	/**
	 * @return string
	 */
	public function getCnCurrencyIsoNr(): string {
		return $this->cnCurrencyIsoNr;
	}

	/**
	 * @param string $cnCurrencyIsoNr
	 */
	public function setCnCurrencyIsoNr(string $cnCurrencyIsoNr): void {
		$this->cnCurrencyIsoNr = $cnCurrencyIsoNr;
	}

	/**
	 * @return string
	 */
	public function getCnPhone(): string {
		return $this->cnPhone;
	}

	/**
	 * @param string $cnPhone
	 */
	public function setCnPhone(string $cnPhone): void {
		$this->cnPhone = $cnPhone;
	}

	/**
	 * @return string
	 */
	public function getCnEuMember(): string {
		return $this->cnEuMember;
	}

	/**
	 * @param string $cnEuMember
	 */
	public function setCnEuMember(string $cnEuMember): void {
		$this->cnEuMember = $cnEuMember;
	}

	/**
	 * @return string
	 */
	public function getCnUnoMember(): string {
		return $this->cnUnoMember;
	}

	/**
	 * @param string $cnUnoMember
	 */
	public function setCnUnoMember(string $cnUnoMember): void {
		$this->cnUnoMember = $cnUnoMember;
	}

	/**
	 * @return string
	 */
	public function getCnAddressFormat(): string {
		return $this->cnAddressFormat;
	}

	/**
	 * @param string $cnAddressFormat
	 */
	public function setCnAddressFormat(string $cnAddressFormat): void {
		$this->cnAddressFormat = $cnAddressFormat;
	}

	/**
	 * @return string
	 */
	public function getCnZoneFlag(): string {
		return $this->cnZoneFlag;
	}

	/**
	 * @param string $cnZoneFlag
	 */
	public function setCnZoneFlag(string $cnZoneFlag): void {
		$this->cnZoneFlag = $cnZoneFlag;
	}

	/**
	 * @return string
	 */
	public function getCnShortLocal(): string {
		return $this->cnShortLocal;
	}

	/**
	 * @param string $cnShortLocal
	 */
	public function setCnShortLocal(string $cnShortLocal): void {
		$this->cnShortLocal = $cnShortLocal;
	}

	/**
	 * @return string
	 */
	public function getCnShortEn(): string {
		return $this->cnShortEn;
	}

	/**
	 * @param string $cnShortEn
	 */
	public function setCnShortEn(string $cnShortEn): void {
		$this->cnShortEn = $cnShortEn;
	}

	/**
	 * @return string
	 */
	public function getCnShortDe(): string {
		return $this->cnShortDe;
	}

	/**
	 * @param string $cnShortDe
	 */
	public function setCnShortDe(string $cnShortDe): void {
		$this->cnShortDe = $cnShortDe;
	}

	/**
	 * @return string
	 */
	public function getCnCountryZones(): string {
		return $this->cnCountryZones;
	}

	/**
	 * @param string $cnCountryZones
	 */
	public function setCnCountryZones(string $cnCountryZones): void {
		$this->cnCountryZones = $cnCountryZones;
	}

	/**
	 * @return string
	 */
	public function getCnShortEs(): string {
		return $this->cnShortEs;
	}

	/**
	 * @param string $cnShortEs
	 */
	public function setCnShortEs(string $cnShortEs): void {
		$this->cnShortEs = $cnShortEs;
	}

	/**
	 * @return string
	 */
	public function getCnShortIt(): string {
		return $this->cnShortIt;
	}

	/**
	 * @param string $cnShortIt
	 */
	public function setCnShortIt(string $cnShortIt): void {
		$this->cnShortIt = $cnShortIt;
	}

	/**
	 * @return string
	 */
	public function getCnShortFr(): string {
		return $this->cnShortFr;
	}

	/**
	 * @param string $cnShortFr
	 */
	public function setCnShortFr(string $cnShortFr): void {
		$this->cnShortFr = $cnShortFr;
	}

	/**
	 * Get the CnShort in the language of the frontend
	 *
	 * @return string
	 */
	public function getCnShort(): string {
		if ($GLOBALS['TSFE']->sys_language_isocode === 'de') {
			return $this->getCnShortDe();
		}
		if ($GLOBALS['TSFE']->sys_language_isocode === 'it') {
			return $this->getCnShortIt();
		}
		if ($GLOBALS['TSFE']->sys_language_isocode === 'fr') {
			return $this->getCnShortFr();
		}
		if ($GLOBALS['TSFE']->sys_language_isocode === 'es') {
			return $this->getCnShortEs();
		}
		return $this->getCnShortEn();
	}
}
